List available A2A agents
GET
/api/v1/a2a/agents
const url = 'https://api.ultimateteam.ai/api/v1/a2a/agents';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/a2a/agents \ --header 'X-API-Key: <X-API-Key>'List all available A2A agents with health status.
Returns agent entries with role, name, health status, skill tags, and plan-tier-appropriate extended cards. Optionally filters by skill type tag.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List A2A Agents Api V1 A2A Agents Get
Array<object>
object
key
additional properties
any
Examplegenerated
[ {}]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}